org.apache.cassandra.config

## Interface ConfigurationLoader

All Known Implementing Classes:
  YamlConfigurationLoader

    public interface ConfigurationLoader

### Method Summary

All Methods Instance Methods Abstract Methods
`Config` `loadConfig()` Loads a `Config` object to use to configure a node.

### Method Detail

#### loadConfig

    Config loadConfig()
               throws ConfigurationException

Loads a `Config` object to use to configure a node.

Returns:
  the `Config` to use.
Throws:
  `ConfigurationException` - if the configuration cannot be properly loaded.